Page MenuHomePhabricator

Replace $wgMobileFrontendLogo with $wgLogos
Closed, ResolvedPublic3 Estimated Story Points

Description

$wgMobileFrontendLogo is used for a standalone icon. It should make use of wgLogos

Soon as part of T246170 we will be adding an icon field pointing to the project standalone logo. and will be converted to an SVG

In preparation for that I suggest we replace usages of $wgMobileFrontendLogo with ResourceLoaderSkinModule::getAvailableLogos( $config )['icon']

Acceptance criteria

  • Update config to add icon field to wgLogos and to map to $wgMobileFrontendLogo
  • Update MobileFrontend to use wgLogos

[x ] Drop $wgMobileFrontendLogo config (https://gerrit.wikimedia.org/r/c/584734)

QA

QA Results - Beta

QA Results - Prod

Event Timeline

Change 583408 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Preparation for removal of $wgMobileFrontendLogo

https://gerrit.wikimedia.org/r/583408

Change 583410 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Drop support for $wgMobileFrontendLogo in favor of $wgLogos

https://gerrit.wikimedia.org/r/583410

Change 583408 merged by jenkins-bot:
[operations/mediawiki-config@master] Preparation for removal of $wgMobileFrontendLogo

https://gerrit.wikimedia.org/r/583408

Jdlrobson added a subscriber: alexhollender.

I'm in need of some review for https://gerrit.wikimedia.org/r/583410 - - the config in production is already in place and getting this merged will give me more confidence that the necessary config is in place. This blocks T246170.

I talked to @alexhollender and he told me that we could likely remove the logo on Special:userlogin altogether, but that's out of scope for this particular task!

Change 583410 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Drop support for $wgMobileFrontendLogo in favor of $wgLogos

https://gerrit.wikimedia.org/r/583410

Change 584734 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop fallback support for wgMobileFrontendLogo

https://gerrit.wikimedia.org/r/584734

ovasileva raised the priority of this task from Medium to High.Mar 31 2020, 10:00 AM

@Jdlrobson - did a quick look at QA before this hits production. noticed a few issues.

  1. Wikipedia logo displays as "W" (not the puzzle globe)

Screen Shot 2020-04-01 at 12.22.39 PM.png (1×994 px, 133 KB)

  1. Remainder of logos look slightly pixelated

Screenshot_2020-04-01-12-20-25-911_com.android.chrome.jpg (2×1 px, 89 KB)

Screenshot_2020-04-01-12-22-17-942_com.android.chrome.jpg (2×1 px, 140 KB)

Yup. We haven't updated the assets yet. The only change I've made here is changing the configuration from where the logos come from.

Wikipedia has always showed a W on the login page. We will replace this with one of Jan's globes in future. After talking to Alex he has said that on the long term we should drop the logo from the login page altogether since the header already contains branding. He is okay however with us switching to a globe on the short term so we can test configuration prior to the new header rolling out.

The icons have always been a bit pixelated. We are using PNGs right now but as soon as we switch to svgs this will be better.
For example, here is how Wikivoyage looked on 1.35.0-wmf.25 prior to this change (should be identical):

Screen Shot 2020-04-01 at 8.28.47 AM.png (1×898 px, 113 KB)

Edit: The QA instructions were out of date. I've updated those now. Previously the beta cluster used its own configuration but that has since been removed.

Jdlrobson updated the task description. (Show Details)

Test Result - Beta

Status: ✅ PASS
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA

Visit login page on https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:UserLogin
✅ AC1: Confirm it shows a W logo.

en.m.wikipedia.beta.wmflabs.org_wiki_Special_UserLogin(iPhone X).png (2×1 px, 238 KB)

✅ AC2: Visit https://en.m.wikivoyage.beta.wmflabs.org/wiki/Special:UserLogin and confirm logo matches the wikivoyage logo.
en.m.wikivoyage.beta.wmflabs.org_wiki_Special_UserLogin(iPhone X).png (2×1 px, 195 KB)

✅ AC3: Visit https://en.m.wikisource.beta.wmflabs.org/wiki/Special:UserLogin and confirm logo matches the wikisource logo
en.m.wikisource.beta.wmflabs.org_wiki_Special_UserLogin(iPhone X).png (2×1 px, 242 KB)

✅ AC4: Visit https://commons.m.wikimedia.beta.wmflabs.org/w/index.php?title=Special:UserLogin&returnto=Main+Page&returntoquery=mobileaction%3Dtoggle_view_mobile and confirm the commons logo matches.
commons.m.wikimedia.beta.wmflabs.org_w_index.php_title=Special_UserLogin&returnto=Main+Page&returntoquery=mobileaction%3Dtoggle_view_mobile(iPhone X).png (2×1 px, 271 KB)

Edtadros added a subscriber: Edtadros.

Test Result - Prod

Status: ✅ PASS
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA

Visit login page on https://he.m.wikipedia.org/wiki/Special:UserLogin
✅ AC1: Confirm it shows a W logo.

he.m.wikipedia.org_wiki_%D7%9E%D7%99%D7%95%D7%97%D7%93_%D7%9B%D7%A0%D7%99%D7%A1%D7%94_%D7%9C%D7%97%D7%A9%D7%91%D7%95%D7%9F(iPhone X).png (2×1 px, 175 KB)

✅ AC2: Visit https://en.m.wikivoyage.org/wiki/Special:UserLogin and confirm logo matches the wikivoyage logo.
en.m.wikivoyage.org_wiki_Special_UserLogin(iPhone X).png (2×1 px, 195 KB)

✅ AC3: Visit https://en.m.wikisource.org/wiki/Special:UserLogin and confirm logo matches the wikisource logo
en.m.wikisource.org_wiki_Special_UserLogin(iPhone X).png (2×1 px, 216 KB)

✅ AC4: Visit https://commons.m.wikimedia.org/w/index.php?title=Special:UserLogin&returnto=Main+Page&returntoquery=mobileaction%3Dtoggle_view_mobile and confirm the commons logo matches.
commons.m.wikimedia.org_w_index.php_title=Special_UserLogin&returnto=Main+Page&returntoquery=mobileaction%3Dtoggle_view_mobile(iPhone X).png (2×1 px, 265 KB)

ovasileva set the point value for this task to 3.Apr 2 2020, 5:52 PM
Jdlrobson claimed this task.
Jdlrobson added a project: User-Jdlrobson.

Reopening because there is still a config change I need to SWAT to tick the acceptance criteria. Feel free to move this off the board if it's noise (I can track it in my user board)

Change 584734 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop fallback support for wgMobileFrontendLogo

https://gerrit.wikimedia.org/r/584734

Jdlrobson updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2020-04-09T23:27:53Z] <catrope@deploy1001> Synchronized wmf-config/mobile.php: Drop fallback support for wgMobileFrontendLogo (T248500) (duration: 00m 58s)